Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: "Gustavo F. Padovan" <[email-masked]>
Date: Thu, 18 Nov 2010 19:09:00 -0200

* Stephen Rothwell <[email-masked]> [2010-11-18 13:27:24 +1100]:

> Hi all,
> 
> On Wed, 17 Nov 2010 08:03:01 -0800 Randy Dunlap <[email-masked]> wrote:
> >
> > On 11/16/10 18:48, Stephen Rothwell wrote:
> > > 
> > > After merging the final tree, today's linux-next build (powerpc allyesconfig)
> > > failed like this:
> > > 
> > > drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_legacy_mac_reset_tsf':
> > > (.opd+0xf00): multiple definition of `iwl_legacy_mac_reset_tsf'
> > > drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0x90): first defined here
> 	.
> 	.
> > > I should have known when I reported the warning ...
> > > 
> > > Caused by commit dd0dd411f7178a20ea93a3cfa39123f078a07e25 ("iwlwifi: fix
> > > modular legacy build errors").
> > > 
> > > I have reverted that commit for today.
> > 
> > Ack.  John, please drop/revert that patch.
> > 
> > Sorry about the problem.
> 
> Looks like John removed it but the bluetooth tree (which is based on top
> of the wireless tree) brought it back in by rebasing on top of yesterday's
> wireless tree. :-(
> 
> I have reverted it again today.

Sorry about that, I wasn't aware of this problem. I'm going to redo my
tree today to fix this issue.

-- 
Gustavo F. Padovan
http://profusion.mobi